JaxbReturnScalarElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbReturnScalarElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbReturnScalarElement

    public class JaxbReturnScalarElement

extends Object

Java class for return-scalar-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="return-scalar-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="column" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `column`
`protected String` | `type`

Constructor Summary
`JaxbReturnScalarElement()`

Method Summary
`String` | `getColumn()` Gets the value of the column property.
`String` | `getType()` Gets the value of the type property.
`void` | `setColumn(String value)` Sets the value of the column property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected String column

### type

    protected String type

Constructor Detail

### JaxbReturnScalarElement

    public JaxbReturnScalarElement()

Method Detail

### getColumn

    public String getColumn()

  Gets the value of the column property.

  Returns:
    possible object is `String`

### setColumn

    public void setColumn(String value)

  Sets the value of the column property.

  Parameters:
    `value` - allowed object is `String`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.